package com.bocloud.cmp.model.hmc;

import java.util.List;

public class HmdServerHeaModel extends HmdGenericModel {
    private Integer adapterId; // 适配器id
    private String status; // 状态
    private String locationCode; // 物理位置码
    private List<HmdServerHeaLogicalPortModel> logicalPorts; // 逻辑端口
    private List<HmdServerHeaPhysicalPortModel> physicalPorts; // 物理端口
    private HmdServerModel server; // 所属服务器

    public Integer getAdapterId() {
        return adapterId;
    }

    public void setAdapterId(Integer adapterId) {
        this.adapterId = adapterId;
    }

    public List<HmdServerHeaPhysicalPortModel> getPhysicalPorts() {
        return physicalPorts;
    }

    public void setPhysicalPorts(List<HmdServerHeaPhysicalPortModel> physicalPorts) {
        this.physicalPorts = physicalPorts;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public List<HmdServerHeaLogicalPortModel> getLogicalPorts() {
        return logicalPorts;
    }

    public void setLogicalPorts(List<HmdServerHeaLogicalPortModel> logicalPorts) {
        this.logicalPorts = logicalPorts;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public HmdServerModel getServer() {
        return server;
    }

    public void setServer(HmdServerModel server) {
        this.server = server;
    }
}
